## NAME

i.sentinel.parallel.download.py - Downloads Sentinel-2 images in parallel using i.sentinel.download.

## KEYWORDS

imagery, satellite, Sentinel, download, parallel

## SYNOPSIS

i.sentinel.parallel.download.py
i.sentinel.parallel.download.py --help
i.sentinel.parallel.download.py [-sfe] [settings=name] [scene_name=string[,string,...]] [output=name] [clouds=integer] [producttype=string] [start=string] [end=string] [nprocs=integer] [datasource=string] [limit=integer] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-s
  Use scenename/s instead of start/end/producttype to download specific S2 data (specify in the scene_name field)
-f
  Download each Sentinel-2 datasat into an individual folder within the output folder
-e
  Use ESA-style scenename/s to download from USGS
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

settings=name
  Full path to settings file (user, password)
  Name of input file
scene_name=string[,string,...]
  Names of the scenes to be downloaded
output=name
  Name for output directory where to store downloaded Sentinel data
clouds=integer
  Maximum cloud cover percentage for Sentinel scene
  Default: 20
producttype=string
  Sentinel product type to filter
  Options: SLC, GRD, OCN, S2MSI1C, S2MSI2A, S2MSI2Ap
  Default: S2MSI2A
start=string
  Start date ('YYYY-MM-DD')
end=string
  End date ('YYYY-MM-DD')
nprocs=integer
  Number of parallel processes
  Number of used CPUs
  Default: 1
datasource=string
  Default is ESA Copernicus Open Access Hub (ESA_COAH), but Sentinel-2 L1C data can also be acquired from USGS Earth Explorer (USGS_EE) or Google Cloud Storage (GCS)
  Data-Hub to download scenes from
  Options: ESA_COAH, USGS_EE, GCS
  Default: ESA_COAH
limit=integer
  Maximum number of scenes to filter/download

## DESCRIPTION

i.sentinel.parallel.download downloads Sentinel-2 data defined by scene names in parallel using i.sentinel.download.
If no scene names are specified i.sentinel.parallel.download downloads data for the computational region set in the mapset; i.e, only products which footprint intersects the current computation region extent (area of interest, AOI) are selected.

## SEE ALSO

i.sentinel module set, i.sentinel.download

## AUTHOR

Guido Riembauer, mundialis

## SOURCE CODE

Available at: i.sentinel.parallel.download source code (history)

Latest change: Thursday Feb 20 13:02:26 2025 in commit: 53de8196a10ba5a8a9121898ce87861d227137e3

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.1dev Reference Manual